summaryrefslogtreecommitdiffstats
path: root/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-02-03 02:47:19 +0100
committerHolger Levsen <holger@layer-acht.org>2016-02-03 02:47:19 +0100
commit16480bad05afacab770bd663f238500247a73d89 (patch)
treee6e53caf5cc1dd2a4e7cdfd45d2df4ca97093cc9 /hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
parent7114f1c51165a0b2013c3b8f18a088527ddd86e5 (diff)
downloadjenkins.debian.net-16480bad05afacab770bd663f238500247a73d89.tar.xz
fixup a77ecd79: reproducible armhf: add new armhf node, thanks to Vagrant
Diffstat (limited to 'hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup')
-rwxr-xr-xhosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup21
1 files changed, 21 insertions, 0 deletions
diff --git a/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..73f4083c
--- /dev/null
+++ b/hosts/cbxi4a-armhf-rb/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi